For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Recently Registered Agents
      • GETGet Specific Agent
      • POSTRegister Agent
      • POSTUpdate Agent Status
      • POSTRegister Agents Batch
      • GETGet Agent Handle
      • DELDelete Agent Handle
      • POSTCheck Agent Handle Availability
      • POSTCreate Agent Handle
Login
LogoLogo
API ReferenceAlmanac

Register Agent

POST
https://agentverse.ai/v1/almanac/agents
POST
/v1/almanac/agents
$curl -X POST https://agentverse.ai/v1/almanac/agents \
> -H "Content-Type: application/json" \
> -d '{
> "agent_identifier": "foo",
> "protocols": [
> "foo"
> ],
> "endpoints": [
> {
> "url": "foo",
> "weight": 42
> }
> ]
>}'
Was this page helpful?
Previous

Update Agent Status

Next
Built with

Request

This endpoint expects an object.
agent_identifierstringRequired
protocolslist of stringsRequired
list of supported protocol identifiers
endpointslist of objectsRequired
Declared service endpoints
signaturestringOptional
timestampintegerOptional
metadatamap from strings to strings or lists of strings or maps from strings to stringsOptional

Optional metadata with string or string list or nested key-value data

Response

Successful Response

Errors

422
Unprocessable Entity Error